| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Geometry::FaultStickSet Class Reference
Geometry

`#include <faultstickset.h>`

Inheritance diagram for Geometry::FaultStickSet:
[legend]

## Public Types
enum | ChangeTag { StickChange =__mUndefIntVal+1 , StickInsert , StickRemove , StickHide }
enum | StickStatus { NoStatus =0 , Selected =1 , Preferred =2 , HiddenLowestBit =4 }

## Public Member Functions
| FaultStickSet ()
| ~FaultStickSet ()
void | addEditPlaneNormal (const Coord3 &, int sticknr)
void | addUdfRow (int stickidx, int firstknotnr, int nrknots)
Element * | clone () const override
virtual StepInterval< int > | colRange () const override
StepInterval< int > | colRange (int stick) const override
void | geometricStickOrder (TypeSet< int > &sticknrs, double zscale, bool orderall=true) const
const Coord3 & | getEditPlaneNormal (int sticknr) const
Coord3 | getKnot (const RowCol &) const override
FaultStick * | getStick (int, bool issticknr=false)
const FaultStick * | getStick (int, bool issticknr=false) const
void | hideKnot (const RowCol &, bool yn, int sceneidx=-1)
void | hideStick (int sticknr, bool yn, int sceneidx=-1)
bool | insertKnot (const RowCol &, const Coord3 &)
virtual bool | insertStick (const Coord3 &firstpos, const Coord3 &editnormal, int stick=0, int firstcol=0, const Pos::GeomID &=Pos::GeomID::udf())
bool | isEmpty () const override
bool | isKnotDefined (const RowCol &) const override
bool | isKnotHidden (const RowCol &, int sceneidx=-1) const
bool | isStickHidden (int sticknr, int sceneidx=-1) const
bool | isStickSelected (int sticknr) const
bool | isTwisted (int sticknr1, int sticknr2, double zscale) const
int | nrKnots (int sticknr) const
int | nrSticks () const
int | preferredStickNr () const
void | preferStick (int sticknr)
bool | removeKnot (const RowCol &)
bool | removeStick (int sticknr)
StepInterval< int > | rowRange () const override
void | selectStick (int sticknr, bool yn)
bool | setKnot (const RowCol &, const Coord3 &) override
Public Member Functions inherited from Geometry::RowColSurface
| ~RowColSurface ()
Iterator * | createIterator () const override
void | getPosIDs (TypeSet< GeomPosID > &, bool=true) const override
Coord3 | getPosition (GeomPosID pid) const override
bool | isDefined (GeomPosID pid) const override
bool | setPosition (GeomPosID pid, const Coord3 &) override
Public Member Functions inherited from Geometry::Element
| Element ()
| Element (const Element &)
virtual | ~Element ()
void | blockCallBacks (bool yn, bool flush=true)
bool | blocksCallBacks () const
virtual IntervalND< float > | boundingBox (bool approx) const
virtual uiString | errMsg () const
virtual bool | isChanged () const
Element & | operator= (const Element &)
virtual void | resetChangedFlag ()
virtual void | trimUndefParts ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
double | interStickDist (int sticknr1, int sticknr2, double zscale) const
Protected Member Functions inherited from Geometry::RowColSurface
| RowColSurface ()
Protected Member Functions inherited from Geometry::Element
uiString & | errmsg ()
void | triggerMovement ()
void | triggerMovement (const GeomPosID &)
void | triggerMovement (const TypeSet< GeomPosID > &)
void | triggerNrPosCh ()
void | triggerNrPosCh (const GeomPosID &)
void | triggerNrPosCh (const TypeSet< GeomPosID > &)

## Protected Attributes
TypeSet< int > | firstcols_
int | firstrow_
ObjectSet< TypeSet< unsigned int > > | knotstatus_
ObjectSet< FaultStick > | sticks_
TypeSet< unsigned int > | stickstatus_
Protected Attributes inherited from Geometry::Element
bool | blockcbs_ = false
bool | ischanged_ = false
TypeSet< GeomPosID > | movementbuffer_
TypeSet< GeomPosID > | nrposchbuffer_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from Geometry::Element
CNotifier< Element, const TypeSet< GeomPosID > * > | movementnotifier
CNotifier< Element, const TypeSet< GeomPosID > * > | nrpositionnotifier

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ ChangeTag

enum Geometry::FaultStickSet::ChangeTag

Enumerator
StickChange |
StickInsert |
StickRemove |
StickHide |

## ◆ StickStatus

enum Geometry::FaultStickSet::StickStatus

Enumerator
NoStatus |
Selected |
Preferred |
HiddenLowestBit |

## Constructor & Destructor Documentation

## ◆ FaultStickSet()

Geometry::FaultStickSet::FaultStickSet | ( |  | ) |

## ◆ ~FaultStickSet()

Geometry::FaultStickSet::~FaultStickSet | ( |  | ) |

## Member Function Documentation

## ◆ addEditPlaneNormal()

void Geometry::FaultStickSet::addEditPlaneNormal | ( | const Coord3 & | ,
|  | int | sticknr )

## ◆ addUdfRow()

void Geometry::FaultStickSet::addUdfRow | ( | int | stickidx,
|  | int | firstknotnr,
|  | int | nrknots )

## ◆ clone()

Element * Geometry::FaultStickSet::clone | ( |  | ) | const
| override virtual

Implements Geometry::Element.

## ◆ colRange() [1/2]

virtual StepInterval< int > Geometry::FaultStickSet::colRange | ( |  | ) | const
| inline override virtual

Reimplemented from Geometry::RowColSurface.

## ◆ colRange() [2/2]

StepInterval< int > Geometry::FaultStickSet::colRange | ( | int | stick | ) | const
| override virtual

Implements Geometry::RowColSurface.

## ◆ geometricStickOrder()

void Geometry::FaultStickSet::geometricStickOrder | ( | TypeSet< int > & | sticknrs,
|  | double | zscale,
|  | bool | orderall = true ) const

## ◆ getEditPlaneNormal()

const Coord3 & Geometry::FaultStickSet::getEditPlaneNormal | ( | int | sticknr | ) | const

## ◆ getKnot()

Coord3 Geometry::FaultStickSet::getKnot | ( | const RowCol & |  | ) | const
| override virtual

Implements Geometry::RowColSurface.

## ◆ getStick() [1/2]

FaultStick * Geometry::FaultStickSet::getStick | ( | int | ,
|  | bool | issticknr = false )

## ◆ getStick() [2/2]

const FaultStick * Geometry::FaultStickSet::getStick | ( | int | ,
|  | bool | issticknr = false ) const

## ◆ hideKnot()

void Geometry::FaultStickSet::hideKnot | ( | const RowCol & | ,
|  | bool | yn,
|  | int | sceneidx = -1 )

## ◆ hideStick()

void Geometry::FaultStickSet::hideStick | ( | int | sticknr,
|  | bool | yn,
|  | int | sceneidx = -1 )

## ◆ insertKnot()

bool Geometry::FaultStickSet::insertKnot | ( | const RowCol & | ,
|  | const Coord3 & | )

## ◆ insertStick()

virtual bool Geometry::FaultStickSet::insertStick | ( | const Coord3 & | firstpos,
|  | const Coord3 & | editnormal,
|  | int | stick = 0,
|  | int | firstcol = 0,
|  | const Pos::GeomID & | = Pos::GeomID::udf() )
| virtual

Reimplemented in Geometry::FaultStickSurface.

## ◆ interStickDist()

double Geometry::FaultStickSet::interStickDist | ( | int | sticknr1,
|  | int | sticknr2,
|  | double | zscale ) const
| protected

## ◆ isEmpty()

bool Geometry::FaultStickSet::isEmpty | ( |  | ) | const
| inline override virtual

Implements Geometry::RowColSurface.

## ◆ isKnotDefined()

bool Geometry::FaultStickSet::isKnotDefined | ( | const RowCol & |  | ) | const
| override virtual

Implements Geometry::RowColSurface.

## ◆ isKnotHidden()

bool Geometry::FaultStickSet::isKnotHidden | ( | const RowCol & | ,
|  | int | sceneidx = -1 ) const

## ◆ isStickHidden()

bool Geometry::FaultStickSet::isStickHidden | ( | int | sticknr,
|  | int | sceneidx = -1 ) const

## ◆ isStickSelected()

bool Geometry::FaultStickSet::isStickSelected | ( | int | sticknr | ) | const

## ◆ isTwisted()

bool Geometry::FaultStickSet::isTwisted | ( | int | sticknr1,
|  | int | sticknr2,
|  | double | zscale ) const

## ◆ nrKnots()

int Geometry::FaultStickSet::nrKnots | ( | int | sticknr | ) | const

## ◆ nrSticks()

int Geometry::FaultStickSet::nrSticks | ( |  | ) | const

## ◆ preferredStickNr()

int Geometry::FaultStickSet::preferredStickNr | ( |  | ) | const

## ◆ preferStick()

void Geometry::FaultStickSet::preferStick | ( | int | sticknr | ) |

## ◆ removeKnot()

bool Geometry::FaultStickSet::removeKnot | ( | const RowCol & |  | ) |

## ◆ removeStick()

bool Geometry::FaultStickSet::removeStick | ( | int | sticknr | ) |

## ◆ rowRange()

StepInterval< int > Geometry::FaultStickSet::rowRange | ( |  | ) | const
| override virtual

Implements Geometry::RowColSurface.

## ◆ selectStick()

void Geometry::FaultStickSet::selectStick | ( | int | sticknr,
|  | bool | yn )

## ◆ setKnot()

bool Geometry::FaultStickSet::setKnot | ( | const RowCol & | ,
|  | const Coord3 & | )
| override virtual

Implements Geometry::RowColSurface.

## Member Data Documentation

## ◆ firstcols_

TypeSet<int> Geometry::FaultStickSet::firstcols_
| protected

## ◆ firstrow_

int Geometry::FaultStickSet::firstrow_
| protected

## ◆ knotstatus_

ObjectSet<TypeSet<unsigned int> > Geometry::FaultStickSet::knotstatus_
| protected

## ◆ sticks_

ObjectSet<FaultStick> Geometry::FaultStickSet::sticks_
| protected

## ◆ stickstatus_

TypeSet<unsigned int> Geometry::FaultStickSet::stickstatus_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025